## ros-indigo-rotors-description 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rotors_description)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY meshes DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY urdf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-rotors-description (2.2.3-0trusty) trusty; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 12 Dec 2018 23:00:00 -0000

ros-indigo-rotors-description (2.2.2-0trusty) trusty; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Tue, 11 Dec 2018 23:00:00 -0000

ros-indigo-rotors-description (2.2.0-0trusty) trusty; urgency=high

  * fixed xmlns:xacro link
  * switch to package format 2
  * Merge pull request #529 <https://github.com/ethz-asl/rotors_simulator/issues/529> from ethz-asl/feature/gazebo9-noisydepth
    Feature/gazebo9 noisydepth
  * Added parameters for noise models and reformatted code
  * Cleanup of .xacro file
  * Disabled sensor visual
  * Fixed orientation and position of mesh relative to camera center (here, left imager) as per datasheet)
  * Realsense definiton (positions etc wrong, to be corrected)
  * Merge pull request #464 <https://github.com/ethz-asl/rotors_simulator/issues/464> from ethz-asl/fix/set_rate_back
    Set odometry rate back to 1/1 of real-time rate.
  * Set odometry rate back to 1/1 of real-time rate.
  * Merge pull request #457 <https://github.com/ethz-asl/rotors_simulator/issues/457> from ethz-asl/fix/odom_rate
    Set publish rate to 100 Hz instead of 1000Hz to better match real system
  * Set publish rate to 100 Hz instead of 1000Hz to better match real system
  * Fix/neo11 namespace (#418 <https://github.com/ethz-asl/rotors_simulator/issues/418>)
    * Change argument from 'mav_name' to 'namespace' to ease spawning of multiple neo11s
  * Merge pull request #374 <https://github.com/ethz-asl/rotors_simulator/issues/374> from ethz-asl/feature/wind_plugin_extended
    Extending wind plugin
  * Requested changes for PR.
  * Merge pull request #397 <https://github.com/ethz-asl/rotors_simulator/issues/397> from ethz-asl/v2.1.1
    update to 2.1.1
  * Extended wind plugin to read custom wind values from a text file.
  * Contributors: Andrea Tagliabue, Christian Witting, Fadri Furrer, Helen Oleynikova, Mina Kamel, Nicolas El Hayek, Timo Hinzmann, cwitting, michaelpantic, nelhayek

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Sun, 09 Dec 2018 23:00:00 -0000

ros-indigo-rotors-description (2.1.1-0trusty) trusty; urgency=high

  * update maintainers
  * Adding pressure plugin to urdf description
  * Contributors: fmina, pvechersky

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 26 Apr 2017 22:00:00 -0000

ros-indigo-rotors-description (2.1.0-0trusty) trusty; urgency=high

  * Implementing fixed-wing operation with a joystick
  * Implementing the rest of parameter parsing and forces + moments calculations
  * Parameterizing techpod mesh files and aerodynamic parameters
  * Adding xacro parameter for wind speed mean
  * The ROS interface plugin is now attached to a static model in the world rather than being attahed to the firefly MAV.
  * Removed dead code from the .xacro macro for the ROS interface plugin.
  * Removed dead commented code.
  * More attempted tweaks to fix errors with substitutaion_args/xacro.py. Added better debug print.
  * Odometry message now being captured by ROS interface plugin and published to ROS framework. Hovering example now works again.
  * ROS interface plugin publishing actuators and link state messages to ROS platform
  * ROS message interface plugin now converts magnetic field messages and publishes to ROS.
  * Changed the name of the robot location GPS message to nav_sat_fix (since there is more than one GPS message type).
  * Fixed issue with topic name differences between IMU/GPS plugins and the interface plugin.
  * New Gazebo message interface plugin is loading correctly when hover sim is launched.
  * Gazebo is now outputting debug messages to the console (verbose mode is turned on through launch file).
  * The ROS interface plugin is now attached to a static model in the world rather than being attahed to the firefly MAV.
  * Removed dead code from the .xacro macro for the ROS interface plugin.
  * Removed dead commented code.
  * More attempted tweaks to fix errors with substitutaion_args/xacro.py. Added better debug print.
  * change euroc to neo
  * Delete neo9_generic_odometry_sensor.gazebo
  * Delete neo11_generic_odometry_sensor.gazebo
  * change euroc_hex to neo11
  * add neo11
  * add neo9 to rotors
  * Odometry message now being captured by ROS interface plugin and published to ROS framework. Hovering example now works again.
  * ROS interface plugin publishing actuators and link state messages to ROS platform
  * ROS message interface plugin now converts magnetic field messages and publishes to ROS.
  * Changed the name of the robot location GPS message to nav_sat_fix (since there is more than one GPS message type).
  * Fixed issue with topic name differences between IMU/GPS plugins and the interface plugin.
  * New Gazebo message interface plugin is loading correctly when hover sim is launched.
  * Gazebo is now outputting debug messages to the console (verbose mode is turned on through launch file).
  * Launch and RVIZ config file for viewing Techpod model in RVIZ
  * Adding meshes and URDF components for flaps in Techpod model
  * Adding GPS to components snipets and mounting it on a fixed-wing Techpod model
  * Fixing small details and removing references to gazebo plugins
  * Adding Techpod URDF desciption files and a general URDF for fixed-wing
  * Adding meshes for Techpod, extracted from actual CAD model
  * Magnetometer refactoring to make use of constexpr and proper transform convention
  * Modifying component_snipets to use the new custom magnetometer plugin
  * Adding some noise based on ADIS16448 specs
  * Adding a macro for magnetometer component
  * Fixing all the RotorS launch files to work with more generic description files
  * Adding 'wait_to_record_bag' parameter to all quad base description files
  * Adding ability to start and stop rosbag recording on command
  * Fixing a couple of small bugs in mavlink interface plugin


=== debian/control ===
Source: ros-indigo-rotors-description
Section: misc
Priority: extra
Maintainer: Fadri Furrer <fadri.furrer@mavt.ethz.ch>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: https://github.com/ethz-asl/rotors_simulator
Standards-Version: 3.9.2

Package: ros-indigo-rotors-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The rotors_description package provides URDF models of the AscTec multicopters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rotors-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
